"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var FieldCssPipe = (function () {
    function FieldCssPipe() {
    }
    FieldCssPipe.prototype.transform = function (field) {
        if (!field) {
            return '';
        }
        var cssList = ['ui-model-field', "ui-model-field-" + field.name];
        if (field.css) {
            if (core_1.isDevMode()) {
                console.warn('You specified a custom css, so I no longer automatically add `col-md-*` class.');
            }
            cssList.push(field.css);
        }
        else {
            if (field.isGroup || field.isArray) {
                cssList.push('col-md-12');
            }
            else {
                cssList.push('col-md-6');
            }
        }
        return cssList.join(' ');
    };
    FieldCssPipe.decorators = [
        { type: core_1.Pipe, args: [{
                    name: 'fieldCss',
                },] },
    ];
    /** @nocollapse */
    FieldCssPipe.ctorParameters = function () { return []; };
    return FieldCssPipe;
}());
exports.FieldCssPipe = FieldCssPipe;
//# sourceMappingURL=field-css.pipe.js.map